Skip to content
storefronts / Page templates
GET/api/page-template-entries

List Page Template Entries

Lists the page-template entries of a project owned by the authenticated user.

GETPOST

Authentication

Requirement
Required
Credential type
session
Scopes
Not specified

Permissions

  • Requires an authenticated storefront session.

Headers

Path Parameters

Query Parameters

NameRequiredTypeDetails
project_idNointeger
Description: Target project identifier.

Request Body

Response Body

Example 200 response

json
{
  "id": 1,
  "project_id": 1,
  "template_id": 1,
  "title": "Example",
  "slug": "example-slug",
  "route": "string",
  "status": "active",
  "meta_title": "string",
  "meta_description": "string",
  "schema_json": "string",
  "faq_config": {},
  "values": {},
  "created_at": "2026-01-01T00:00:00Z",
  "updated_at": "2026-01-01T00:00:00Z"
}

Errors

400 project_id_required404 project_not_found500 page_template_entries_list_failed

Availability

Available in
v0.1.0
Available since
v0.1.0
Implementation
Available
Deprecation
Not specified
Rate limits
Not specified